Bug 23286 - Improve style of hold confirmation modal
Summary: Improve style of hold confirmation modal
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 23399
  Show dependency treegraph
 
Reported: 2019-07-09 14:52 UTC by Owen Leonard
Modified: 2019-08-09 14:07 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Screenshot of the proposed interface update (21.19 KB, image/png)
2019-07-09 14:52 UTC, Owen Leonard
Details
Bug 23286: Improve style of hold confirmation modal (5.73 KB, patch)
2019-07-29 18:38 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23286: Improve style of hold confirmation modal (5.78 KB, patch)
2019-08-01 15:30 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23286: Improve style of hold confirmation modal (5.82 KB, patch)
2019-08-02 18:05 UTC, Nadine Pierre
Details | Diff | Splinter Review
Bug 23286: Improve style of hold confirmation modal (5.89 KB, patch)
2019-08-08 11:58 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-07-09 14:52:25 UTC
Created attachment 91432 [details]
Screenshot of the proposed interface update

I propose that we update the style of the hold confirmation modal which is shown when the user checks in an item on hold. I think we can make it a little more readable. See attached.
Comment 1 Owen Leonard 2019-07-29 18:38:46 UTC
Created attachment 91856 [details] [review]
Bug 23286: Improve style of hold confirmation modal

This patch makes minor changes to the hold confirmation modal in the
check-in template and adds some additional style. The goal is to make
the information a little more readable.

To test, apply the patch and rebuild the staff client CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

Check in items with the following hold statuses:

 - On hold for a patron at your library
 - On hold for a patron at another library
 - On hold and already marked 'Waiting'

Confirm that the hold confirmation modal is clear and well-styled.
Comment 2 Kyle M Hall 2019-08-01 15:30:29 UTC
Created attachment 91908 [details] [review]
Bug 23286: Improve style of hold confirmation modal

This patch makes minor changes to the hold confirmation modal in the
check-in template and adds some additional style. The goal is to make
the information a little more readable.

To test, apply the patch and rebuild the staff client CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

Check in items with the following hold statuses:

 - On hold for a patron at your library
 - On hold for a patron at another library
 - On hold and already marked 'Waiting'

Confirm that the hold confirmation modal is clear and well-styled.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 3 Nadine Pierre 2019-08-02 18:05:24 UTC
Created attachment 91935 [details] [review]
Bug 23286: Improve style of hold confirmation modal

This patch makes minor changes to the hold confirmation modal in the
check-in template and adds some additional style. The goal is to make
the information a little more readable.

To test, apply the patch and rebuild the staff client CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

Check in items with the following hold statuses:

 - On hold for a patron at your library
 - On hold for a patron at another library
 - On hold and already marked 'Waiting'

Confirm that the hold confirmation modal is clear and well-styled.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Nadine Pierre <nadine.pierre@inLibro.com>
Comment 4 Martin Renvoize 2019-08-08 11:58:20 UTC
Created attachment 92069 [details] [review]
Bug 23286: Improve style of hold confirmation modal

This patch makes minor changes to the hold confirmation modal in the
check-in template and adds some additional style. The goal is to make
the information a little more readable.

To test, apply the patch and rebuild the staff client CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

Check in items with the following hold statuses:

 - On hold for a patron at your library
 - On hold for a patron at another library
 - On hold and already marked 'Waiting'

Confirm that the hold confirmation modal is clear and well-styled.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Nadine Pierre <nadine.pierre@inLibro.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2019-08-08 11:58:47 UTC
This is a nice improvement, no breakage found.

Passing QA
Comment 6 Martin Renvoize 2019-08-08 12:07:01 UTC
Nice work!

Pushed to master for 19.11.00
Comment 7 Fridolin SOMERS 2019-08-09 14:07:15 UTC
Enhancement not pushed to 19.05.x